Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shipping
Class ShippingMethodValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.shipping.ShippingMethodValue

public class ShippingMethodValue
extends SmartValue

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculation.

See Also:
  `ShippingMethod`, `ShippingMethodHome`, `ShippingMethod.getShippingMethodByValue()`, `ShippingMethod.setShippingMethodByValue(ShippingMethodValue)`, Serialized Form

Field Summary
`int` | `averageShippingTime` averageShippingTime [ShippingMethod] <*>------> [`int`]
`java.lang.String` | `carrier` carrier [ShippingMethod] <*>------> [`String`]
`java.lang.String` | `costCalculationMechanism` costCalculationMechanism [ShippingMethod] <*>------> [`String`]
`java.lang.String` | `description` description [ShippingMethod] <*>------> [`String`]
`boolean` | `internationalDelivery` internationalDelivery [ShippingMethod] <*>------> [`boolean`]
`java.lang.String` | `key` key [ShippingMethod] <*>------> [`String`] (Primary Key)
`java.lang.String` | `method` method [ShippingMethod] <*>------> [`String`]
`java.lang.String` | `packagingType` packagingType [ShippingMethod] <*>------> [`String`]
`double` | `percentage` percentage [ShippingMethod] <*>------> [`double`]
`boolean` | `poBoxAllowed` poBoxAllowed [ShippingMethod] <*>------> [`boolean`]
`Price` | `price` price [ShippingMethod] <*>------> [`theory.smart.axiom.units.Price`]
`java.lang.String` | `restrictions` restrictions [ShippingMethod] <*>------> [`String`]
`boolean` | `saturdayDelivery` saturdayDelivery [ShippingMethod] <*>------> [`boolean`]
`boolean` | `signatureRequired` signatureRequired [ShippingMethod] <*>------> [`boolean`]
`Quantity` | `sizeLimit` sizeLimit [ShippingMethod] <*>------> [`theory.smart.axiom.units.Quantity`]
`Quantity` | `weightLimit` weightLimit [ShippingMethod] <*>------> [`theory.smart.axiom.units.Quantity`]

Constructor Summary
`protected` | `ShippingMethodValue()` Only get/setShippingMethodByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    public java.lang.String key

                        key
       [ShippingMethod] <*>------> [String] (Primary Key)

### carrier

    public java.lang.String carrier

                        carrier
       [ShippingMethod] <*>------> [String]

### method

    public java.lang.String method

                        method
       [ShippingMethod] <*>------> [String]

### averageShippingTime

    public int averageShippingTime

                        averageShippingTime
       [ShippingMethod] <*>------> [int]

### price

    public Price price

                        price
       [ShippingMethod] <*>------> [theory.smart.axiom.units.Price]

### weightLimit

    public Quantity weightLimit

                        weightLimit
       [ShippingMethod] <*>------> [theory.smart.axiom.units.Quantity]

### restrictions

    public java.lang.String restrictions

                        restrictions
       [ShippingMethod] <*>------> [String]

### description

    public java.lang.String description

                        description
       [ShippingMethod] <*>------> [String]

### poBoxAllowed

    public boolean poBoxAllowed

                        poBoxAllowed
       [ShippingMethod] <*>------> [boolean]

### signatureRequired

    public boolean signatureRequired

                        signatureRequired
       [ShippingMethod] <*>------> [boolean]

### saturdayDelivery

    public boolean saturdayDelivery

                        saturdayDelivery
       [ShippingMethod] <*>------> [boolean]

### internationalDelivery

    public boolean internationalDelivery

                        internationalDelivery
       [ShippingMethod] <*>------> [boolean]

### sizeLimit

    public Quantity sizeLimit

                        sizeLimit
       [ShippingMethod] <*>------> [theory.smart.axiom.units.Quantity]

### packagingType

    public java.lang.String packagingType

                        packagingType
       [ShippingMethod] <*>------> [String]

### percentage

    public double percentage

                        percentage
       [ShippingMethod] <*>------> [double]

### costCalculationMechanism

    public java.lang.String costCalculationMechanism

                        costCalculationMechanism
       [ShippingMethod] <*>------> [String]

Constructor Detail

### ShippingMethodValue

    protected ShippingMethodValue()

  Only get/setShippingMethodByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.